Qt 5.11 | Qt Multimedia | C++ Classes | QCameraInfoControl

Qt 5.11.3 Reference Documentation

# QCameraInfoControl Class

The QCameraInfoControl class provides a camera info media control. More...

Header: | #include <QCameraInfoControl>
qmake: | QT += multimedia
Since: | Qt 5.3
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QCameraInfoControl()
virtual int | cameraOrientation(const QString &deviceName) const = 0
virtual QCamera::Position | cameraPosition(const QString &deviceName) const = 0

## Protected Functions

| QCameraInfoControl(QObject *parent = nullptr)

## Detailed Description

The QCameraInfoControl class provides a camera info media control.

The QCameraInfoControl class provides information about the camera devices available on the system.

The interface name of QCameraInfoControl is `org.qt-project.qt.camerainfocontrol/5.3` as defined in QCameraInfoControl_iid.

## Member Function Documentation

### `[protected]` QCameraInfoControl::QCameraInfoControl(QObject *parent = nullptr)

Constructs a camera info control with the given parent.

### `[virtual]` QCameraInfoControl::~QCameraInfoControl()

Destroys a camera info control.

### `[pure virtual]` int QCameraInfoControl::cameraOrientation(const QString &deviceName) const

### `[pure virtual]` QCamera::Position QCameraInfoControl::cameraPosition(const QString &deviceName) const